Package weka.filters.unsupervised.instance.subsetbyexpression

# Class Scanner

java.lang.Object
weka.filters.unsupervised.instance.subsetbyexpression.Scanner

All Implemented Interfaces:
  `java_cup.runtime.Scanner`

public class Scanner extends Object implements java_cup.runtime.Scanner
A scanner for evaluating whether an Instance is to be included in a subset or not.

Version:
  $Revision: 9804 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STRING`
lexical states
`static final int`
`YYEOF`
This character denotes the end of file
`static final int`
`YYINITIAL`

## Constructor Summary

Constructors
Constructor
Description
`Scanner(InputStream in)`
Creates a new scanner.
`Scanner(InputStream r, java_cup.runtime.SymbolFactory sf)`
`Scanner(Reader in)`
Creates a new scanner There is also a java.io.InputStream version of this constructor.

## Method Summary

Modifier and Type
Method
Description
`java_cup.runtime.Symbol`
`next_token()`
Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`final void`
`yybegin(int newState)`
Enters a new lexical state
`final char`
`yycharat(int pos)`
Returns the character at position `pos` from the matched text.
`final void`
`yyclose()`
Closes the input stream.
`final int`
`yylength()`
Returns the length of the matched text region.
`void`
`yypushback(int number)`
Pushes the specified amount of characters back into the input stream.
`final void`
`yyreset(Reader reader)`
Resets the scanner to read from a new input stream.
`final int`
`yystate()`
Returns the current lexical state.
`final String`
`yytext()`
Returns the text matched by the current regular expression.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### YYEOF

public static final int YYEOF
This character denotes the end of file

See Also:
  - Constant Field Values

### STRING

public static final int STRING
lexical states

See Also:
  - Constant Field Values

### YYINITIAL

public static final int YYINITIAL

See Also:
  - Constant Field Values

## Constructor Details

### Scanner

public Scanner(InputStream r, java_cup.runtime.SymbolFactory sf)

### Scanner

public Scanner(Reader in)
Creates a new scanner There is also a java.io.InputStream version of this constructor.

Parameters:
  `in` - the java.io.Reader to read input from.

### Scanner

public Scanner(InputStream in)
Creates a new scanner. There is also java.io.Reader version of this constructor.

Parameters:
  `in` - the java.io.Inputstream to read input from.

## Method Details

### yyclose

public final void yyclose() throws IOException
Closes the input stream.

Throws:
  `IOException`

### yyreset

public final void yyreset(Reader reader)
Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.

Parameters:
  `reader` - the new input stream

### yystate

public final int yystate()
Returns the current lexical state.

### yybegin

public final void yybegin(int newState)
Enters a new lexical state

Parameters:
  `newState` - the new lexical state

### yytext

public final String yytext()
Returns the text matched by the current regular expression.

### yycharat

public final char yycharat(int pos)
Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

Parameters:
  `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
Returns:
  the character at position pos

### yylength

public final int yylength()
Returns the length of the matched text region.

### yypushback

public void yypushback(int number)
Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method

Parameters:
  `number` - the number of characters to be read again. This number must not be greater than yylength()!

### next_token

public java_cup.runtime.Symbol next_token() throws IOException
Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

Specified by:
  `next_token` in interface `java_cup.runtime.Scanner`
Returns:
  the next token
Throws:
  `IOException` - if any I/O-Error occurs